Macro interessanti per SolidWorks

aldus

Utente Junior
Professione: progettista junior
Software: solidworks inventor autocad
Regione: Emilia Romagna
Ciao Aldus.
Fossi in te lascerei la macro così com'è ed andrei invece a modificare una opzione di SW, in
modo che i multifogli vengano salvati sempre all'interno dello stesso file dwg (come già avviene con i pdf)

Menu file > salva con nome > salva come: DWG > click su Opzioni > Disegno del foglio multiplo > Esporta tutti i fogli in un file

Ciao
ci ho provato ma non li scala e li mette nei fogli in modo strano.
 

aldus

Utente Junior
Professione: progettista junior
Software: solidworks inventor autocad
Regione: Emilia Romagna
Più comodamente si riesce a ricavare la proprietà del modello senza apertura della parte
ricavando il ModelDoc2 direttamente dalla vista del modello, poi hai accesso alle proprietà

Dim swModelRef As SldWorks.ModelDoc2
Set swModelRef = swView.ReferencedDocument

GetThatInfo = swModelRef.GetCustomInfoValue("", CustomInfoValue)
Scusate il disturbo.. e Buon giorno a tutti!
Come faccio a dire quale è la vista principale, dalla quale io voglio pescare le proprietà?
mi spiego...
Ho un assieme di un telaio saldato e voglio prendere le proprietà dal papà dell'albero, quindi in questo caso l'assieme, e non uno dei figli, perchè le parti figlie non hanno nessuna proprietà inserita. Se nel disegno io ho una vista di un figlio quindi parte che è stata inserita per prima il foglio riconosce questa come default e se l'ultimo salvataggio è stato fatto su questo foglio quando esporto pdf e dwg non riesco a prendere le proprietà dell'assieme ma prendo la parte figlia.
Avete qualche consiglio per ottenere sempre la parte dell'assieme padre e non rischiare di avere quelle del figlio?
grazie.
saluti
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Ciao Aldus,
vado a memoria, la macro dovrebbe prendere in automatico la prima vista da cui ne ricava il componente, nel tuo caso è una parte.
Potresti modificare la macro e sostituire quella parte di codice con una preselezione.
In parole povere preselezioni la vista e poi lanci la macro modificata.
 
Professione: disegnatore cad
Software: catiaV5, NX, TeamCenter, Enovia, Autodesk
Regione: Lazio
Ciao,
avrei l'esigenza di trovare/realizzare una macro che mi permetta di gestire in SW le tavole realizzate con altro cad.
Ovviamente ho a disposizione anche i modelli 3d con cui le tavole sono state create.
Per quanto riguarda i modelli 3d ho visto che si riescono ad aprire senza problemi.
Vorrei però riuscire a recuperare (anche parzialmente) le tavole.
E' fattibile?

Grazie per i suggeimenti
 

jenuary

Utente Standard
Professione: Progettista e Programmatore VB.Net
Software: Solidworks
Regione: Veneto
Ciao,
avrei l'esigenza di trovare/realizzare una macro che mi permetta di gestire in SW le tavole realizzate con altro cad.
Ovviamente ho a disposizione anche i modelli 3d con cui le tavole sono state create.
Per quanto riguarda i modelli 3d ho visto che si riescono ad aprire senza problemi.
Vorrei però riuscire a recuperare (anche parzialmente) le tavole.
E' fattibile?

Grazie per i suggeimenti
L'unica cosa che puoi fare è fare un importazione dal dwg\dxf in una tavola di Solidworks, gli devi dire il formato, l'unità di misura, eventuali livelli ecc., ovviamente è slegata al modello e il risultato è comunque pesante.